List Temporary Queues

get

/temporaryQueues

Lists all of the temporary queues in the messaging context.

Request

Query Parameters
Back to Top

Response

200 Response

In XML, the format for listing all temporary queues in a messaging context is as follows:


<temporaryQueues> 
  <items>
    <name>queue name</name>
    <connection>name of the connection with which the queue is associated</connection> 
    <canonicalLink>relative path to temporary queue</canonicalLink>
  </items>
  ... 
  <canonicalLink>relative path to list of temporary queues</canonicalLink> 
</temporaryQueues>

400 Response

Error Codes

  • connectionParameterNotFound: A connection parameter was supplied, but no connection with that name exists in the messaging context.

500 Response

Error Codes

  • operationFailed:A low-level exception occurred in attempting to list the temporary queues.
Back to Top

Examples

cURL Command

cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
     -H "X-OC-ID-TOKEN-STATUS: disabled" \
     -X GET "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/temporaryQueues"

There is no request body to submit with the HTTP request.

Example of Response Body

<?xml version='1.0' encoding='UTF-8'?>
<temporaryQueues>
  <items>
    <name>CFDF99EE0C424C21</name>
    <connection>myFirstConnection</connection>
    <canonicalLink>/myService-myTenant/api/v1/temporaryQueues/CFDF99EE0C424C21</canonicalLink>
  </items>
</temporaryQueues>
Back to Top